Page MenuHomePhabricator

Broken encoding of non-ASCII characters
Closed, ResolvedPublic

Description

This has been tested in Firefox, Chromium, under Windows and Linux and also on a fresh browser profile. And reproduced by other users with cyrilic (https://www.mediawiki.org/w/index.php?title=Topic:Vro32d25omigd5z7&action=history ).

When selecting a image with non-standar latin characters (á é í ó ú Á É Í Ó Ú) problems with encoding appears when the RandomImage shows the image and description in another page:
Example:
"Uniján en su Apoteosis, acercándose al trono de Tazabana para tomar su lugar como su consorte (uno de cuatro). Íntegramente"

when it should say

Uniján en su Apoteosis, acercándose al trono de Tazabana para tomar su lugar como su consorte (uno de cuatro). Íntegramente.

That means that "á" and "Í" are not parsed correctly and replaced by "á" and "Í" respectively.

Thank you

Event Timeline

Hi @Jakeukalane, thanks for taking the time to report this and welcome to Wikimedia Phabricator! Which exact RandomImage version and which exact MediaWiki version do you use? Please see and follow https://www.mediawiki.org/wiki/How_to_report_a_bug - thanks!

At the time of writing the report i was using Mediawiki: 1.34.4 (3097acc) 2020-10-23T00:59:56. Now I am using Mediawiki 1.35.
I am using RandomImage: 1.5.1 (f37795c) 2020-05-25T00:39:58

PD. I read the page how to report a bug but I didn't found anything that would help with this report

Aklapper renamed this task from Wrong encode characters to Broken encoding of non-ASCII characters.Oct 30 2020, 12:39 PM

Which database backend is used, and which database character set is set?

RhinosF1 added subscribers: Paladox, RhinosF1.

Which database backend is used, and

10.4.15-MariaDB-1:10.4.15+maria~buster-log

which database character set is set?

utf8 according to @Paladox

Jakeukalane claimed this task.

Thought it was resolved. I am not fluent still with this.

Could you explain what makes you think that this was resolved? Thanks. :)

If It was resolved in downstream and not in upstream is an error of mine and should be open again.

What's the difference between this and its subtask?